import React from 'react';
import { ProductCardHandlers } from '../interfaces/interfaces';
import { InitialValues, onChangesArgs, Product, ProductContextProps } from '../interfaces/interfaces';
export declare const ProductContext: React.Context<ProductContextProps>;
export interface Props {
    product: Product;
    children: (args: ProductCardHandlers) => JSX.Element;
    className?: string;
    style?: React.CSSProperties;
    onChange?: (args: onChangesArgs) => void;
    value?: number;
    initialValues?: InitialValues;
}
declare const ProductCard: ({ children, product, className, style, onChange, value, initialValues, }: Props) => JSX.Element;
export { ProductCard };
