import { InitialValues } from '../interfaces/interfaces';
import { onChangesArgs, Product } from '../interfaces/interfaces';
interface useProductArgs {
    product: Product;
    onChange?: (args: onChangesArgs) => void;
    value?: number;
    initialValues?: InitialValues;
}
declare const useProduct: ({ onChange, product, value, initialValues, }: useProductArgs) => {
    counter: number;
    maxCounter: number | undefined;
    isMaxCountReached: boolean;
    reset: () => void;
    increasyBy: (value: number) => void;
};
export default useProduct;
